## unbound 1.5.2

=== debian/control ===
Source: unbound
Section: net
Priority: optional
Maintainer: Robert Edmonds <edmonds@debian.org>
Build-Depends:
 dpkg-dev (>= 1.16.1~),
 debhelper (>= 9~),
 dh-autoreconf,
 autoconf,
 autotools-dev,
 libtool,
 flex,
 bison,
 libssl-dev,
 libevent-dev,
 libexpat1-dev,
 python-all-dev (>= 2.6.6-3~),
 swig
Standards-Version: 3.9.6
Homepage: https://www.unbound.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/edmonds/unbound.git
Vcs-Git: git://anonscm.debian.org/users/edmonds/unbound.git

Package: unbound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, unbound-anchor, adduser, openssl
Description: validating, recursive, caching DNS resolver
 Unbound is a recursive-only caching DNS server which can perform DNSSEC
 validation of results. It implements only a minimal amount of authoritative
 service to prevent leakage to the root nameservers: forward lookups for
 localhost, reverse for 127.0.0.1 and ::1, and NXDOMAIN for zones served by
 AS112. Stub and forward zones are supported.
 .
 This package contains the unbound daemon.

Package: unbound-anchor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: unbound (<< 1.4.13-1)
Breaks: unbound (<< 1.4.13-1)
Description: utility to securely fetch the root DNS trust anchor
 unbound-anchor is a utility which securely fetches or updates the root DNS
 zone trust anchor. A copy of the current root anchor and root update
 certificate is embedded in unbound-anchor. RFC 5011 trust anchor tracking is
 performed, with fallback to an SSL fetch if this fails.

Package: unbound-host
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: reimplementation of the 'host' command
 This package provides the 'unbound-host' program that is bundled with the
 Unbound domain name server. This version differs from the one provided in the
 package called host, which is from NIKHEF, and bind9-host, which is from ISC,
 and has a similar but different set of features and options.

Package: libunbound2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library implementing DNS resolution and validation
 libunbound performs and validates DNS lookups; it can be used to convert
 hostnames to IP addresses and back and obtain other information from the
 DNS. Cryptographic validation of results is performed with DNSSEC.

Package: libunbound-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libunbound2 (= ${binary:Version})
Multi-Arch: same
Description: static library, header files, and docs for libunbound
 Static library, header files, and documentation for libunbound.
 .
 libunbound performs and validates DNS lookups; it can be used to convert
 hostnames to IP addresses and back and obtain other information from the
 DNS. Cryptographic validation of results is performed with DNSSEC.

Package: python-unbound
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: library implementing DNS resolution and validation (Python bindings)
 Python extension module for libunbound.
 .
 libunbound performs and validates DNS lookups; it can be used to convert
 hostnames to IP addresses and back and obtain other information from the
 DNS. Cryptographic validation of results is performed with DNSSEC.
