## unbound 1.5.3

=== debian/changelog ===
unbound (1.5.3-1) experimental; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 14 Mar 2015 14:16:27 -0400

unbound (1.5.2-1) experimental; urgency=medium

  * New upstream release.
  * Migrate pidfile from /var/run to /run; closes: #773247.
  * Fix unbound-checkconf to recognize "python" in module-config;
    closes: #777193.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 28 Feb 2015 21:04:03 -0500

unbound (1.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Fix CVE-2014-8602: denial of service by making resolver chase
      endless series of delegations.

 -- Robert Edmonds <edmonds@debian.org>  Mon, 08 Dec 2014 15:08:30 -0500

unbound (1.5.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Robert Edmonds <edmonds@debian.org>  Tue, 11 Nov 2014 19:18:44 -0500
