## unbound 1.5.8

=== debian/changelog ===
unbound (1.5.8-1ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: vulnerability in the processing of wildcard
    synthesized NSEC records (LP: #1773720)
    - debian/patches/CVE-2017-15105.patch
    - CVE-2017-15105
  * Fix install of trust anchor when two anchors are present
    - debian/patches/unbound-r4302.patch

 -- Simon Deziel <simon@sdeziel.info>  Mon, 28 May 2018 02:38:19 +0000

unbound (1.5.8-1ubuntu1) xenial; urgency=medium

  * Merge from Debian (LP: #1556308):
    - Revert dnstap support (dependencies not in main)
  * Drop:
    - Fix build failure with swig -Wdate-time.
      [ Fixed in Debian 1.5.7-2 ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 11 Apr 2016 09:44:52 -0700

unbound (1.5.8-1) unstable; urgency=medium

  * Imported Upstream version 1.5.8
  * debian/libunbound2.symbols: Add new symbol 'ub_ctx_set_stub'
  * debian/unbound.postinst: Clean up permissions on the resolvconf
    forwarder hook on upgrades (Closes: #816425)

 -- Robert Edmonds <edmonds@debian.org>  Sun, 06 Mar 2016 22:52:28 -0500

unbound (1.5.7-2) unstable; urgency=medium

  * debian/control: Add dh-python to Build-Depends
  * debian/: Install contrib/update-anchor.sh, contrib/unbound_munin_
    (Closes: #573329)
  * Makefile.in: Pass PYTHON_CPPFLAGS to swig instead of CPPFLAGS (Closes:
    #809055)
  * debian/: Run "wrap-and-sort -sabt"
  * debian/resolvconf: No longer use RESOLVCONF_FORWARDERS from
    /etc/default/unbound
  * debian/unbound.postinst: Remove unbound-anchor invocation
  * debian/package-helper: Add helper script for init scripts and
    resolvconf
  * debian/unbound.init: Rewrite to use package-helper script
  * debian/unbound.default: Remove
  * debian/unbound.maintscript: Remove conffile /etc/default/unbound
  * debian/resolvconf-package: Add resolvconf packaging-event hook script
    (Closes: #777228)
  * debian/control: unbound: Depend on dns-root-data, for root trust
    anchor updates (Closes: #760461)
  * debian/rules: Disable the resolvconf update.d hook by default
  * debian/gbp.conf: Remove [dch] id-length
  * debian/NEWS.Debian: Add NEWS entry for 1.5.7-2
  * debian/unbound.postinst: Always chown /var/lib/unbound (Closes:
    #763901)
  * debian/package-helper: Invoke unbound-anchor as user/group unbound
  * debian/: unbound.doc -> unbound.docs; Actually install upstream docs
  * debian/unbound.docs: Install doc/README.DNS64
  * debian/unbound.docs: Install debian/NEWS.Debian
  * debian/package-helper: Clean old chroot files (Closes: #790392) (Patch
    from Simon Deziel)

 -- Robert Edmonds <edmonds@debian.org>  Sun, 21 Feb 2016 16:22:23 -0500

unbound (1.5.7-1ubuntu2) xenial; urgency=medium

  * Fix build failure with swig -Wdate-time.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Apr 2016 18:55:22 +0200

unbound (1.5.7-1ubuntu1) xenial; urgency=medium

  * Merge from Debian:
    - Drop all existing delta
    - Revert dnstap support (dependencies not in main)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Jan 2016 12:23:09 -0500

unbound (1.5.7-1) unstable; urgency=medium

  * [3cf7971b] debian/control: Vcs-Browser should point to cgit
    (Closes: #804437)
  * [66955294] Imported Upstream version 1.5.7

 -- Robert Edmonds <edmonds@debian.org>  Sat, 12 Dec 2015 14:48:03 -0500

unbound (1.5.6-1) unstable; urgency=medium

  * [0d5117d5] Imported Upstream version 1.5.4
  * [8327e145] Imported Upstream version 1.5.5
  * [eb2adc8c] Imported Upstream version 1.5.6
    - Closes: #796934, #803042.
  * [5a973651] debian/control: Update Maintainer, Uploaders for pkg-dns
  * [543459fa] debian/control: Update Vcs-Browser, Vcs-Git
  * [b69e513f] debian/: Run "wrap-and-sort -sbt"
  * [730f3622] debian/gbp.conf: Add [dch] section
  * [6b383656] debian/: Enable dnstap support

 -- Robert Edmonds <edmonds@debian.org>  Sun, 08 Nov 2015 01:26:27 -0500

unbound (1.4.22-1ubuntu6) wily; urgency=medium

  * Make some lookups on a dual stacked (IPv4 and IPv6) host work.
    - debian/patches/increase-max_sent_count: Increase MAX_SENT_COUNT to 32,
      backported from Unbound 1.5.0 (LP: #1472510).
    - Can be verified with:
      # unbound-host -f /var/lib/unbound/root.key a.root-servers.net

 -- Patrik Lundin <patrik.lundin@su.se>  Thu, 16 Jul 2015 09:04:58 +0200

unbound (1.4.22-1ubuntu5) vivid; urgency=medium

  * SECURITY UPDATE: denial of service via large number of referrals
    - debian/patches/CVE-2014-8602.patch: limit number of targets in
      iterator/iterator.h, iterator/iterator.c.
    - CVE-2014-8602

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Jan 2015 10:06:14 -0500

unbound (1.4.22-1ubuntu4) trusty; urgency=medium

  * debian/rules: Enable full testsuite.
  * debian/patches/disable_remote_control_in_tests: Disable remote control in
    testbound suite so tests succeed.

 -- Jonathan Davies <jonathan.davies@canonical.com>  Mon, 07 Apr 2014 13:45:15 +0000

unbound (1.4.22-1ubuntu3) trusty; urgency=low

  * debian/patches/disable_chroot_by_default: Readded disable-chroot-by-default
    functionality (LP: #1303088).
  * debian/patches/silence_open_files_limit_warning: Readded patch.

 -- Jonathan Davies <jonathan.davies@canonical.com>  Mon, 07 Apr 2014 13:02:09 +0000

unbound (1.4.22-1ubuntu2) trusty; urgency=medium

  * debian/rules: Set to run unittests.
  * debian/patches/debian-changes: Removed lingering changes from 1.4.22-1
    upload.
  * debian/patches/disable_sldns_str2wire_rr_buf_tests: Disable test files 3
    and 5 (issue reported upstream #572).

 -- Jonathan Davies <jonathan.davies@canonical.com>  Fri, 04 Apr 2014 23:21:00 +0000

unbound (1.4.22-1ubuntu1) trusty; urgency=low

  * Bring back dh-autoreconf stuff from upload 1.4.21-1ubuntu1.

 -- Jonathan Davies <jonathan.davies@canonical.com>  Fri, 04 Apr 2014 19:37:52 +0000
