=== debian/rules ===
--- 
+++ 
@@ -72,8 +72,11 @@
 	dh_installinit --error-handler=true --restart-after-upgrade
 
 	echo '$$named unbound' > debian/unbound/etc/insserv.conf.d/unbound
-	install -m 0755 debian/resolvconf debian/unbound/etc/resolvconf/update.d/unbound
+	install -m 0644 debian/resolvconf debian/unbound/etc/resolvconf/update.d/unbound
+	install -m 0755 debian/resolvconf-package debian/unbound/usr/lib/resolvconf/dpkg-event.d/unbound
 	install -m 0644 doc/example.conf debian/unbound/usr/share/doc/unbound/examples/unbound.conf
+	install -m 0644 contrib/update-anchor.sh debian/unbound/usr/share/doc/unbound/contrib
+	install -D -m 0755 contrib/unbound_munin_ debian/unbound/usr/share/munin/plugins/unbound_munin_
 
 	mkdir -p debian/libunbound-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv \
