## unbound 1.6.0

=== debian/changelog ===
unbound (1.6.0-3+deb9u2) stretch; urgency=high

  * Cherry-pick upstream commit svn r4441, "patch for CVE-2017-15105:
    vulnerability in the processing of wildcard synthesized NSEC records."
  * Cherry-pick upstream commit svn r4528, "Added tests with wildcard
    expanded NSEC records (CVE-2017-15105 test)".

 -- Robert Edmonds <edmonds@debian.org>  Wed, 28 Feb 2018 17:00:51 -0500

unbound (1.6.0-3+deb9u1) stretch; urgency=high

  * Cherry-pick upstream commit svn r4301, "Fix install of trust anchor
    when two anchors are present, makes both valid.  Checks hash of DS but
    not signature of new key.  This fixes installs between sep11 and oct11
    2017."
  * debian/control: unbound: Add versioned dependency on dns-root-data (>=
    2017072601~) for KSK-2017 in RFC 5011 state VALID.

 -- Robert Edmonds <edmonds@debian.org>  Sun, 27 Aug 2017 00:43:42 -0400

unbound (1.6.0-3) unstable; urgency=medium

  * Cherry-pick upstream commit svn r4000, "Include root trust anchor id
    20326 in unbound-anchor". (Closes: #855484)

 -- Robert Edmonds <edmonds@debian.org>  Sun, 19 Feb 2017 20:04:34 -0500

unbound (1.6.0-2) unstable; urgency=high

  [ Helmut Grohne ]
  * Only use fake_dsa when HAVE_SSL is defined (Closes: #848339)

 -- Robert Edmonds <edmonds@debian.org>  Sun, 18 Dec 2016 15:00:12 -0500

unbound (1.6.0-1) unstable; urgency=medium

  [ Robert Edmonds ]
  * New upstream version 1.6.0

  [ Helmut Grohne ]
  * Add pkg.unbound.libonly build profile. (Closes: #847130)

 -- Robert Edmonds <edmonds@debian.org>  Thu, 15 Dec 2016 15:26:15 -0500

unbound (1.5.10-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #845941)
    + Convert python Build-Depends to cross-friendly ones.
    + Let dh_auto_configure pass --host to ./configure.

 -- Robert Edmonds <edmonds@debian.org>  Sun, 27 Nov 2016 14:41:30 -0500

unbound (1.5.10-2) unstable; urgency=medium

  * debian/unbound.install: Install usr/sbin/unbound-checkconf
    (Closes: #842797)

 -- Robert Edmonds <edmonds@debian.org>  Tue, 01 Nov 2016 16:37:52 -0400

unbound (1.5.10-1) unstable; urgency=medium

  * New upstream version 1.5.10
    - Fixes FTBFS with OpenSSL 1.1.0 (Closes: #828584)
  * debian/: Build libunbound against nettle (Closes: #828699)
  * debian/: Support Python 3 (Closes: #835972)
  * debian/rules: Install libunbound.pc into the libunbound-dev package
  * debian/copyright: Update

 -- Robert Edmonds <edmonds@debian.org>  Tue, 04 Oct 2016 03:43:45 -0400

unbound (1.5.9-3) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * debian/: Ship AppArmor profile (Closes: #518002)
  * debian/control: Use HTTPS for Vcs-Git link
  * debian/unbound.service: Add documentation to the systemd unit file
  * debian/control: Bump Standards-Version to 3.9.8 (no changes)

 -- Robert Edmonds <edmonds@debian.org>  Sat, 06 Aug 2016 14:51:52 -0400

unbound (1.5.9-2) unstable; urgency=low

  * debian/unbound.init: Call start-stop-daemon with --retry for 'stop'
    action (based on patch from Julien Cristau)
  * debian/: Add unbound.service, unbound-resolvconf.service
    (Closes: #826241) (Thanks to Michael Biebl)
  * debian/rules: Configure with --with-rootkey-file=/var/lib/unbound/root.key

 -- Robert Edmonds <edmonds@debian.org>  Sun, 24 Jul 2016 19:48:56 -0400

unbound (1.5.9-1) unstable; urgency=medium

  * Imported Upstream version 1.5.9
    - Updated L-Root IPv6 address (Closes: #818292)
  * debian/unbound.init: Add "pidfile" magic comment (Closes: #807132)
  * debian/libunbound2.symbols: Add new symbol 'ub_ctx_create_ub_event'
  * Enable DNS query name minimisation by default

 -- Robert Edmonds <edmonds@debian.org>  Fri, 10 Jun 2016 23:01:15 -0400
