=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: unbound
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
 Uploaders:
  Robert Edmonds <edmonds@debian.org>,
 Build-Depends:
@@ -10,20 +9,30 @@
  autotools-dev,
  bison,
  debhelper (>= 9~),
+ dh-apparmor <!pkg.unbound.libonly>,
  dh-autoreconf,
- dh-python,
+ dh-python <!pkg.unbound.libonly>,
+ dh-systemd <!pkg.unbound.libonly>,
  dpkg-dev (>= 1.16.1~),
  flex,
  libevent-dev,
  libexpat1-dev,
- libssl-dev,
+ libfstrm-dev <!pkg.unbound.libonly>,
+ libprotobuf-c-dev <!pkg.unbound.libonly>,
+ libssl-dev <!pkg.unbound.libonly>,
  libtool,
- python-all-dev (>= 2.6.6-3~),
- swig,
-Standards-Version: 3.9.6
+ nettle-dev,
+ pkg-config,
+ protobuf-c-compiler <!pkg.unbound.libonly>,
+ python-all-dev:any (>= 2.6.6-3~) <!pkg.unbound.libonly>,
+ libpython-all-dev (>= 2.6.6-3~) <!pkg.unbound.libonly>,
+ python3-all-dev:any <!pkg.unbound.libonly>,
+ libpython3-all-dev <!pkg.unbound.libonly>,
+ swig <!pkg.unbound.libonly>,
+Standards-Version: 3.9.8
 Homepage: https://www.unbound.net/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/unbound.git
-Vcs-Git: git://anonscm.debian.org/pkg-dns/unbound.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-dns/unbound.git
 
 Package: libunbound-dev
 Section: libdevel
@@ -60,8 +69,24 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
+Build-Profiles: <!pkg.unbound.libonly>
 Description: library implementing DNS resolution and validation (Python bindings)
  Python extension module for libunbound.
+ .
+ libunbound performs and validates DNS lookups; it can be used to convert
+ hostnames to IP addresses and back and obtain other information from the
+ DNS. Cryptographic validation of results is performed with DNSSEC.
+
+Package: python3-unbound
+Section: python
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Build-Profiles: <!pkg.unbound.libonly>
+Description: library implementing DNS resolution and validation (Python3 bindings)
+ Python3 extension module for libunbound.
  .
  libunbound performs and validates DNS lookups; it can be used to convert
  hostnames to IP addresses and back and obtain other information from the
@@ -71,13 +96,15 @@
 Architecture: any
 Depends:
  adduser,
- dns-root-data,
+ dns-root-data (>= 2017072601~),
  openssl,
  unbound-anchor,
  ${misc:Depends},
  ${shlibs:Depends},
 Enhances:
  munin-node,
+Suggests: apparmor
+Build-Profiles: <!pkg.unbound.libonly>
 Description: validating, recursive, caching DNS resolver
  Unbound is a recursive-only caching DNS server which can perform DNSSEC
  validation of results. It implements only a minimal amount of authoritative
@@ -96,6 +123,7 @@
  unbound (<< 1.4.13-1),
 Breaks:
  unbound (<< 1.4.13-1),
+Build-Profiles: <!pkg.unbound.libonly>
 Description: utility to securely fetch the root DNS trust anchor
  unbound-anchor is a utility which securely fetches or updates the root DNS
  zone trust anchor. A copy of the current root anchor and root update
@@ -107,6 +135,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Build-Profiles: <!pkg.unbound.libonly>
 Description: reimplementation of the 'host' command
  This package provides the 'unbound-host' program that is bundled with the
  Unbound domain name server. This version differs from the one provided in the
