## unbound 1.6.5

=== debian/changelog ===
unbound (1.6.5-1ubuntu0.2) artful-security; urgency=medium

  * SECURITY UPDATE: vulnerability in the processing of wildcard
    synthesized NSEC records (LP: #1773720)
    - debian/patches/CVE-2017-15105.patch
    - CVE-2017-15105

 -- Simon Deziel <simon@sdeziel.info>  Mon, 28 May 2018 02:38:19 +0000

unbound (1.6.5-1ubuntu0.1) artful-security; urgency=medium

  * apparmor: permit unbound to notify readiness to systemd
   (Closes: #867186, LP: #1723900)

 -- Simon Deziel <simon@sdeziel.info>  Mon, 16 Oct 2017 13:11:12 +0000

unbound (1.6.5-1) unstable; urgency=high

  [ Robert Edmonds ]
  * New upstream version 1.6.5
    - Fix install of trust anchor when two anchors are present, makes both
      valid. Checks hash of DS but not signature of new key. This fixes
      installs between sep11 and oct11 2017.
  * debian/rules: Enable EDNS Client Subnet in daemon

  [ Simon Deziel ]
  * debian/unbound.service: Set PIDFile= (Closes: #867192)

  [ Antony Antony ]
  * debian/rules: Enable libevent for libunbound2 API (Closes: #871675)

 -- Robert Edmonds <edmonds@debian.org>  Tue, 22 Aug 2017 22:50:56 -0400

unbound (1.6.4-1) unstable; urgency=medium

  [ Robert Edmonds ]
  * New upstream version 1.6.4
    - Fixes 'malformed packet DoS when "use-caps-for-id" enabled'
      (Closes: #864730)
  * debian/copyright: Use https form of the copyright-format URL
  * debian/copyright: Bump NLnet Labs copyright years through 2017
  * debian/control: Bump Standards-Version to 4.0.0
  * debian/: Enable systemd support
  * debian/unbound.service: Use Type=notify process start-up type
    (Closes: #866804)
  * debian/: Enable experimental pluggable event base libunbound API
    (Closes: #859584)
  * debian/control: Add Depends on lsb-base to satisfy lintian's
    "init.d-script-needs-depends-on-lsb-base"

  [ Steve Langasek ]
  * debian/control: Build-Depend on python '-dev' packages, not '-all-dev'
    (Closes: #864334, #866770)

  [ Steven Chamberlain ]
  * Allow use of libbsd functions with configure option --with-libbsd
  * debian/: Configure with --with-libbsd (Closes: #853751)

 -- Robert Edmonds <edmonds@debian.org>  Mon, 03 Jul 2017 16:30:17 -0400
